﻿$Threshold=0.25 # Percentage of free space threshold
$DiskToMonitor="E:"

$FreeDiskSpace=(((Get-WmiObject -Class Win32_LogicalDisk -Filter "DeviceID='$DiskToMonitor'").FreeSpace))
$TotalDiskSize=(((Get-WmiObject -Class Win32_LogicalDisk -Filter "DeviceID='$DiskToMonitor'").Size))
IF($FreeDiskSpace -lt ($TotalDiskSize*$Threshold))
{
    Throw "WARNING: The free space on disk $DiskToMonitor is lower than expected."
}
